
Audacious - Bug #418

jump-to-track: Remember filter value not working

March 16, 2014 01:49 - Thomas Lange

Status: Closed Start date: March 16, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudgui Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.5   

Description

The filter is not saved at all,

closing the dialog resets the entry.

I have tested Audacious 3.2.4 with GTK2

and this version is fine.

It seems like the behavior changed with GTK3.

History

#1 - March 18, 2014 00:24 - John Lindgren

This commit is at fault:

https://github.com/audacious-media-player/audacious/commit/c3776fe2c7d55595ffa7dd21c4a98fb5b80a2e1c

The window used to be hidden instead of destroyed when it was closed, so the text entry was not cleared.  To fix this, we would have to explicitly

save and restore the text entry now.  Is it a useful feature?  In most cases, I would expect typing a couple of keywords to be faster than editing a

previous search.  So I'm inclined to just remove the check box.

#2 - March 18, 2014 00:32 - Thomas Lange

I'm fine with removing it.

#3 - March 19, 2014 01:39 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious/commit/d53213674fdc32ef1a758e6af45fc4b4e340560d
